/beta/lower_48_stf_filled#
Provides STF production for TX, LA, NM, CO, ND, OK, OH, PA, WV, and WY, plus modeled production estimates for the remaining Lower-48 states using our daily production model based on interstate pipeline flows
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/beta/lower_48_stf_filled |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/beta/lower_48_stf_filled" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
beta_lower_48_stf_filled_resp = hyperion_api_client.beta_lower_48_stf_filled()
beta_lower_48_stf_filled_df = beta_lower_48_stf_filled_resp.df()
beta_lower_48_stf_filled_df.head()
# Example of a Windows PowerShell request to the beta_lower_48_stf_filled endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$body = @"
{`"region_natgas`":[`"gulf`"],`"sub_region_natgas`":[`"Haynesville - TX`"],`"date_prod_min`":`"2025-01-01`",`"date_prod_max`":`"2025-01-31`"}
"@
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/beta/lower_48_stf_filled' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
aggregate_by |
string array |
Fields to aggregate over |
date_prod |
date_prod_max |
— |
The date range maximum of production in YYYY-MM-DD format |
— |
date_prod_min |
— |
The date range minimum of production in YYYY-MM-DD format |
— |
region_natgas |
string array |
Region divisions based on natural gas production profiles |
west |
sub_region_natgas |
string array |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
date_prod |
— |
The date of production in YYYY-MM-DD format |
— |
prod_dry_gas_bcf_day |
number |
Daily dry gas production in billion cubic feet |
— |
prod_oil_mbbl_day |
number |
Daily oil production in million barrels |
— |
region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Aggregation#
Supported parameters: date_prod, region_natgas, sub_region_natgas